name: staff_main
description: Main shell and navigation for the staff application.
version: 0.0.1
publish_to: none
resolution: workspace

environment:
  sdk: '>=3.10.0 <4.0.0'
  flutter: ">=3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_bloc: ^8.1.0
  flutter_modular: ^6.3.0
  equatable: ^2.0.5
  
  # Architecture Packages
  design_system:
    path: ../../../design_system
  core_localization:
    path: ../../../core_localization

  # Features
  staff_home:
    path: ../home
  staff_profile:
    path: ../profile
  staff_profile_info:
    path: ../profile_sections/onboarding/profile_info
  staff_emergency_contact:
    path: ../profile_sections/onboarding/emergency_contact
  staff_profile_experience:
    path: ../profile_sections/onboarding/experience
  staff_bank_account:
    path: ../profile_sections/finances/staff_bank_account
  staff_tax_forms:
    path: ../profile_sections/compliance/tax_forms
  staff_documents:
    path: ../profile_sections/compliance/documents
  staff_certificates:
    path: ../profile_sections/compliance/certificates
  staff_attire:
    path: ../profile_sections/onboarding/attire
  staff_shifts:
    path: ../shifts
  staff_payments:
    path: ../payments
  staff_time_card:
    path: ../profile_sections/finances/time_card
  staff_availability:
    path: ../availability
  staff_clock_in:
    path: ../clock_in

dev_dependencies:
  flutter_test:
    sdk: flutter
  bloc_test: ^9.1.0
  mocktail: ^1.0.0
  flutter_lints: ^6.0.0

flutter:
  uses-material-design: true
